Bug 72550 - SIGINT occasionally results in SIGSEGV in Weston
Summary: SIGINT occasionally results in SIGSEGV in Weston
Status: VERIFIED FIXED
Alias: None
Product: Wayland
Classification: Unclassified
Component: weston (show other bugs)
Version: 1.3.0
Hardware: Other All
: medium critical
Assignee: Wayland bug list
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-09 23:01 UTC by U. Artie Eoff
Modified: 2014-01-07 20:29 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
gdb backtrace (3.73 KB, text/plain)
2013-12-09 23:01 UTC, U. Artie Eoff
Details

Note You need to log in before you can comment on or make changes to this bug.
Description U. Artie Eoff 2013-12-09 23:01:54 UTC
Created attachment 90543 [details]
gdb backtrace

Occasionally, sending SIGINT to weston results in weston crashing with SIGSEGV during shell_destroy listener execution.  See attached backtrace.  I was able to trigger this about 50% of the time.

wayland (master) heads/master-0-g1521c62
drm (master) libdrm-2.4.50-0-g4c5de72
mesa (master) heads/master-0-g0319ea9
libva (master) heads/master-0-g73a11b3
intel-driver (master) heads/master-0-g9d0bd94
weston (master) heads/master-0-g8d344a0
Comment 1 U. Artie Eoff 2013-12-09 23:08:16 UTC
Also observed this on the Weston 1.3.1 stable stack:

wayland (1.3) heads/1.3-0-g84247b7
drm (master) libdrm-2.4.49-0-g7ddc98f
mesa (10.0) heads/10.0-0-gb160fea
libva (master) libva-1.2.1-0-g88ed1eb
intel-driver (master) 1.2.1-0-g8f306e3
weston (1.3) 1.3.1-0-g5e3ff49
Comment 2 Kristian Høgsberg 2013-12-22 21:46:18 UTC
commit 312ea4ca42f87be5b03cbba4b48447bd9dc24097
Author: Ander Conselvan de Oliveira <ander.conselvan.de.oliveira@intel.com>
Date:   Fri Dec 20 21:07:01 2013 +0200

    shell: Handle the desktop shell client destroy signal
    
    Set the internal pointer for the client to NULL. This fixes a
    segmentation fault at shutdown, where the shell would hang up before
    and cause libwayland to call wl_client_destroy(). When the shell was
    destroyed later, another call to wl_client_destroy() would cause the
    crash.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=72550
Comment 3 U. Artie Eoff 2014-01-07 20:29:28 UTC
Verified fixed on weston (master) heads/master-0-g917711b...

...will this be backported to 1.3?


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.